osmo_scu_connect_param Struct Reference

`#include <sccp_sap.h>`

## Data Fields

struct osmo_sccp_addr | called_addr
struct osmo_sccp_addr | calling_addr
struct osmo_sccp_addr | responding_addr
uint32_t | sccp_class
uint32_t | importance
uint32_t | conn_id

## Field Documentation

## called_addr

struct osmo_sccp_addr osmo_scu_connect_param::called_addr

Referenced by osmo_sccp_tx_conn_req(), scoc_fsm_idle(), and scu_gen_encode_and_send().

## calling_addr

struct osmo_sccp_addr osmo_scu_connect_param::calling_addr

Referenced by osmo_sccp_tx_conn_req(), scoc_fsm_idle(), and scu_gen_encode_and_send().

## conn_id

uint32_t osmo_scu_connect_param::conn_id

Referenced by osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp_msg(), osmo_sccp_user_sap_down(), scu_gen_encode_and_send(), and scu_prim_conn_id().

## importance

uint32_t osmo_scu_connect_param::importance

Referenced by scu_gen_encode_and_send().

## responding_addr

struct osmo_sccp_addr osmo_scu_connect_param::responding_addr

Referenced by osmo_sccp_tx_conn_resp_msg().

## sccp_class

uint32_t osmo_scu_connect_param::sccp_class

Referenced by osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp_msg(), scoc_fsm_idle(), and scu_gen_encode_and_send().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sccp_sap.h